Mercury API
CmdGetTagBuffer Method (start, end, epc496, protocol)
Namespaces ► ThingMagic ► SerialReader ► CmdGetTagBuffer(UInt16, UInt16, Boolean, TagProtocol)
Get tag data of a tags from certain locations in the tag buffer, without updating the read index.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public TagData[] CmdGetTagBuffer(
    	ushort start,
    	ushort end,
    	bool epc496,
    	TagProtocol protocol
    )

    <ObsoleteAttribute> _
    Public Function CmdGetTagBuffer ( _
    	start As UShort, _
    	end As UShort, _
    	epc496 As Boolean, _
    	protocol As TagProtocol _
    ) As TagData()

    [ObsoleteAttribute]
    public:
    array<TagData^>^ CmdGetTagBuffer(
    	unsigned short start,
    	unsigned short end,
    	bool epc496,
    	TagProtocol protocol
    )

Parameters

start (UInt16)
  the start index to read from

end (UInt16)
  the end index to read to

epc496 (Boolean)
  Whether the EPCs expected are 496 bits (true) or 96 bits (false)

protocol (TagProtocol)
  Tag protocol under which to interpret TagData content. Will be overridden by fetched information if TagMetadataFlag.PROTOCOL is present in metadataFlags.

Return Value
the tag data. Fewer tags may be returned than were requested.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)